> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List simulation history (deprecated)

GET https://api.dsx-air.nvidia.com/api/v3/histories/

Lists history entries for simulations or nodes. Requires `SIM_READ` scope or the `air_trainee` role. Air trainees can only view history for their own simulations and the nodes in them.

**Required scope:** `air:simulation_read` (roles: `air_org_admin`, `air_user`)

**Alternative:** role `air_trainee` also grants access.

Reference: https://docs.nvidia.com/dsx-air/api-reference/history/api-v-3-histories-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `actor` (string, optional)
- `category` (enum, optional) — The category of the history event. * `INFO` - info * `WARNING` - warning * `ERROR` - error
  - Allowed values: `ERROR`, `INFO`, `WARNING`
- `limit` (integer, optional) — Number of results to return per page.
- `model` (enum, required) — The entity which you want to get history for. * `simulation` - Simulation * `node` - Node
  - Allowed values: `node`, `simulation`
- `object_id` (string, required) — The ID of the entity which you want to get history for (for example, the simulation ID).
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-actor`, `-category`, `-created`, `actor`, `category`, `created`
- `search` (string, optional) — Search by `actor`, `description`, or `category`.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `object_id` (string, required)
  - `model` (string, required) — The related entity model name.
  - `created` (datetime, required, nullable)
  - `description` (string, required) — A human readable description of what happened to the entity.
  - `category` (string, required) — Legacy alias for the history `severity` value.
  - `tags` (any, required) — Legacy alias for the history `labels` list.
  - `actor` (string, optional) — The email or other identifier of who took action on the entity.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "object_id": "string",
      "model": "string",
      "created": "2024-01-15T09:30:00Z",
      "description": "string",
      "category": "string",
      "tags": null,
      "actor": "string"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/histories/"

querystring = {"model":"node","object_id":"object_id"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/histories/?model=node&object_id=object_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```